task qualimap {
	File bam
	File bed
	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e
		nt=$(nproc)
		/opt/qualimap/qualimap bamqc -bam ${bam} -gff ${bed} -nt $nt -outdir ./ --java-mem-size=16G
	>>>

	runtime {
		docker:docker
		cluster:cluster_config
		systemDisk:"cloud_ssd 40"
		dataDisk:"cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File qualimap_txt = "genome_results.txt"
		File qualimap_images = "images_qualimapReport/"
		File qualimap_html = "qualimapReport.html"
		File qulimap_raw_data = "raw_data_qualimapReport/"
		File css = "css/"
	}
}
